### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-date-picker/ecl-date-picker.directive.ts`

### Extends

`ECLBaseDirective`

### Implements

`OnInit` `ControlValueAccessor` `OnDestroy`

### Metadata

Providers | `ECL_DATE_PICKER_VALUE_ACCESSOR`
Selector | `input[eclDatePicker]`

### Index

###### Properties

- isDisabled
- type

###### Methods

- onBlur
- onClick
- registerOnChange
- registerOnTouched
- setDisabledState
- writeValue
- getCssClasses

###### Inputs

- format
- yearRange
- class
- e2eAttr

###### Outputs

- datePicked

###### HostBindings

- attr.disabled
- attr.type
- class

###### HostListeners

- blur
- click

###### Accessors

- cssClasses

### Constructor

`constructor(el: ElementRef, viewContainerRef: ViewContainerRef, translateService: TranslateService)`

Parameters :

Name | Type | Optional
el | `ElementRef` | No
viewContainerRef | `ViewContainerRef` | No
translateService | `TranslateService` | No

### Inputs

format
Type : `string`
Default value : `'DD-MM-YYYY'`

yearRange
Type : `number`
Default value : `40`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

datePicked
Type : `EventEmitter`

### HostBindings

attr.disabled
Type : `any`
Default value : `null`

attr.type
Type : `string`
Default value : `'text'`

class
Type : `any`

### HostListeners

blur

click

### Methods

onBlur
`onBlur()`
Decorators : `@HostListener('blur')`
Returns : `void`

onClick
`onClick()`
Decorators : `@HostListener('click')`
Returns : `void`

registerOnChange
`registerOnChange(fn: any)`

Parameters :

Name | Type | Optional
fn | `any` | No

Returns : `void`

registerOnTouched
`registerOnTouched(fn: any)`

Parameters :

Name | Type | Optional
fn | `any` | No

Returns : `void`

setDisabledState
`setDisabledState(isDisabled: boolean)`

Parameters :

Name | Type | Optional
isDisabled | `boolean` | No

Returns : `void`

writeValue
`writeValue(value: any)`

Parameters :

Name | Type | Optional
value | `any` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

isDisabled
Type : `null`
Default value : `null`
Decorators : `@HostBinding('attr.disabled')`

type
Type : `string`
Default value : `'text'`
Decorators : `@HostBinding('attr.type')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""